Skip to content

Instantly share code, notes, and snippets.

@josegrad
josegrad / gist:8bf775a1c92df788b84599397c87d662
Created Dec 4, 2017
phonegap-plugin-push missing from v1.8.2
View gist:8bf775a1c92df788b84599397c87d662
https://github.com/phonegap/phonegap-app-developer/blob/master/resources/release/android/PhoneGap-1.8.0-release.apk
View rails_cloc.sh
#!/bin/bash
find . \( -iname '*.rb' -o -iname '*.css' -o -iname '*.js' -o -iname '*.erb' -o -iname '*.html' -o -iname '*.haml' -o -iname '*.scss' -o -iname '*.coffee' \) -exec wc -l {} + | sort -n
View gist:4250258
jgdmbp:~ elmaco$ ruby -v
ruby 1.9.3p327 (2012-11-10 revision 37606) [x86_64-darwin10.8.0]
jgdmbp:~ elmaco$
jgdmbp:~ elmaco$
jgdmbp:~ elmaco$ rails -v
Rails 3.2.9
jgdmbp:~ elmaco$
jgdmbp:~ elmaco$
jgdmbp:~ elmaco$ echo $PATH
/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/bin:/Users/elmaco/.rvm/gems/ruby-1.9.3-p327@global/bin:/Users/elmaco/.rvm/rubies/ruby-1.9.3-p327/bin:/Users/elmaco/.rvm/bin:/usr/local/heroku/bin:/opt/local/lib/postgresql83/bin:/android-sdk/tools:/Developer/usr/bin:/Developer/usr/sbin:/opt/local/bin:/opt/local/sbin:/usr/local/bin:/usr/local/sbin:/usr/local/mysql/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/git/bin:/usr/X11/bin
View gist:4250226
START TERMINAL
echo $PATH
/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/bin:/Users/elmaco/.rvm/gems/ruby-1.9.3-p327@global/bin:/Users/elmaco/.rvm/rubies/ruby-1.9.3-p327/bin:/Users/elmaco/.rvm/bin:/usr/local/heroku/bin:/opt/local/lib/postgresql83/bin:/android-sdk/tools:/Developer/usr/bin:/Developer/usr/sbin:/opt/local/bin:/opt/local/sbin:/usr/local/bin:/usr/local/sbin:/usr/local/mysql/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/git/bin:/usr/X11/bin
echo $GEM_PATH
---- empty!!
SOME VERSIONS
View gist:4250086
echo $PATH
/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/bin:/Users/elmaco/.rvm/gems/ruby-1.9.3-p327@global/bin:/Users/elmaco/.rvm/rubies/ruby-1.9.3-p327/bin:/Users/elmaco/.rvm/bin:/usr/local/heroku/bin:/opt/local/lib/postgresql83/bin:/android-sdk/tools:/Developer/usr/bin:/Developer/usr/sbin:/opt/local/bin:/opt/local/sbin:/usr/local/bin:/usr/local/sbin:/usr/local/mysql/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/git/bin:/usr/X11/bin
$GEM_PATH
/Users/elmaco/.rvm/gems/ruby-1.9.3-p327:/Users/elmaco/.rvm/gems/ruby-1.9.3-p327@global
View gist:4250077
gem list
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001082b01e8> 1.2.2"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree_api-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001082f5fe0> 1.2.2"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree_auth-1.1.4.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001082c2820> 1.1.4"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree_core-1.1.4.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x0000010839fb08> 0.1.4"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree_core-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x00000108439f28> 0.1.4"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree_dash-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001081e5e48> 1.2
View gist:4250052
echo $PATH
/usr/local/heroku/bin:/opt/local/lib/postgresql83/bin:/android-sdk/tools:/Developer/usr/bin:/Developer/usr/sbin:/opt/local/bin:/opt/local/sbin:/usr/local/bin:/usr/local/sbin:/usr/local/mysql/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/local/git/bin:/usr/X11/bin:/usr/local/heroku/bin:/opt/local/lib/postgresql83/bin:/android-sdk/tools:/Developer/usr/bin:/Developer/usr/sbin:/opt/local/bin:/opt/local/sbin:/usr/local/sbin:/usr/local/mysql/bin:/Users/elmaco/.rvm/bin
echo $GEM_PATH
/Users/elmaco/.rvm/gems/ruby-1.9.3-p327:/Users/elmaco/.rvm/gems/ruby-1.9.3-p327@global
View gist:4250033
export PATH=/opt/local/lib/postgresql83/bin:/android-sdk/tools:/Developer/usr/bin:/Developer/usr/sbin:/opt/local/bin:/opt/local/sbin:/usr/local/bin:/usr/local/sbin:/usr/local/mysql/bin:$PATH
### Added by the Heroku Toolbelt
export PATH="/usr/local/heroku/bin:$PATH"
[[ -s "$HOME/.rvm/scripts/rvm" ]] && source "$HOME/.rvm/scripts/rvm" # Load RVM into a shell session *as a function*
View gist:4249894
This file has been truncated, but you can view the full file.
[2012-12-10 12:03:50] rvm gemset pristine # under ruby-1.9.3-p327
Restoring gems to pristine condition...
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001082b01e8> 1.2.2"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree_api-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001082f5fe0> 1.2.2"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree_auth-1.1.4.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001082c2820> 1.1.4"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree_core-1.1.4.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x0000010839fb08> 0.1.4"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.3-p327/specifications/spree_core-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x00000108439f28> 0.1.4"]
View gist:4249440
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.2-p0/specifications/spree-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001082b01e8> 1.2.2"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.2-p0/specifications/spree_api-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001082f5fe0> 1.2.2"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.2-p0/specifications/spree_auth-1.1.4.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001082c2820> 1.1.4"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.2-p0/specifications/spree_core-1.1.4.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x0000010839fb08> 0.1.4"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.2-p0/specifications/spree_core-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x00000108439f28> 0.1.4"]
Invalid gemspec in [/Users/elmaco/.rvm/gems/ruby-1.9.2-p0/specifications/spree_dash-1.2.2.gemspec]: Illformed requirement ["#<Syck::DefaultKey:0x000001081e5e48> 1.2.2"]
Invalid gemspec